net.minecraftforge.common.util

## Class Constants.NBT

- java.lang.Object
- - net.minecraftforge.common.util.Constants.NBT

- Enclosing class:
    Constants

      public static class Constants.NBT
      extends java.lang.Object

  NBT Tag type IDS, used when storing the nbt to disc, Should align with NBTBase.getId, table used in NBTBase.func_150283_g Main use is checking tag type in NBTTagCompound.func_150297_b(String, int)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TAG_ANY_NUMERIC`
    `static int` | `TAG_BYTE`
    `static int` | `TAG_BYTE_ARRAY`
    `static int` | `TAG_COMPOUND`
    `static int` | `TAG_DOUBLE`
    `static int` | `TAG_END`
    `static int` | `TAG_FLOAT`
    `static int` | `TAG_INT`
    `static int` | `TAG_INT_ARRAY`
    `static int` | `TAG_LIST`
    `static int` | `TAG_LONG`
    `static int` | `TAG_SHORT`
    `static int` | `TAG_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants.NBT()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG_END

          public static final int TAG_END

      See Also:
        Constant Field Values

    - #### TAG_BYTE

          public static final int TAG_BYTE

      See Also:
        Constant Field Values

    - #### TAG_SHORT

          public static final int TAG_SHORT

      See Also:
        Constant Field Values

    - #### TAG_INT

          public static final int TAG_INT

      See Also:
        Constant Field Values

    - #### TAG_LONG

          public static final int TAG_LONG

      See Also:
        Constant Field Values

    - #### TAG_FLOAT

          public static final int TAG_FLOAT

      See Also:
        Constant Field Values

    - #### TAG_DOUBLE

          public static final int TAG_DOUBLE

      See Also:
        Constant Field Values

    - #### TAG_BYTE_ARRAY

          public static final int TAG_BYTE_ARRAY

      See Also:
        Constant Field Values

    - #### TAG_STRING

          public static final int TAG_STRING

      See Also:
        Constant Field Values

    - #### TAG_LIST

          public static final int TAG_LIST

      See Also:
        Constant Field Values

    - #### TAG_COMPOUND

          public static final int TAG_COMPOUND

      See Also:
        Constant Field Values

    - #### TAG_INT_ARRAY

          public static final int TAG_INT_ARRAY

      See Also:
        Constant Field Values

    - #### TAG_ANY_NUMERIC

          public static final int TAG_ANY_NUMERIC

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants.NBT

          public Constants.NBT()